//
//  NSBoomAppDelegate.h
//  NSBoom
//
//  Created by Douglas Mayle on 10/13/09.
//  Copyright 2009 Douglas Mayle. All rights reserved.
//

#import "Boomer.h"

@interface NSBoomAppDelegate : NSObject <UIApplicationDelegate> {

    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;	    
    NSPersistentStoreCoordinator *persistentStoreCoordinator;
    
    IBOutlet Boomer *boomer;

    UIWindow *window;
}

@property (nonatomic, retain, readonly) NSManagedObjectModel *managedObjectModel;
@property (nonatomic, retain, readonly) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain, readonly) NSPersistentStoreCoordinator *persistentStoreCoordinator;

@property (nonatomic, retain) IBOutlet UIWindow *window;

- (NSString *)applicationDocumentsDirectory;

- (IBAction)blowUp;

@end

